%define		ver	0.11.0
%define		rel	9
%define		svnrev	28
%define		utdic	20100601
%define		enable_utdic_jinmei	0
%define		enable_utdic_zipcode	0
%define		enable_utdic_meisi	0
%define		enable_utdic_jigyosyo	0
%define		enable_edict_katakanago	0

Name:		mozc
Summary:	Japanese Input Method Editor designed for multi-platform
Summary(ja):	マルチプラットホームで動くように設計された日本語インプットメソッドエディタ
Version:	0.11.0
Release:	%{rel}.svn%{svnrev}%{?_dist_release}
Group:		System Environment/Libraries
License:	BSD-like (and EDICT is CC-by-sa 3.0 Unported)
URL:		http://code.google.com/p/mozc/

# Source tar ball is not released yet.
# See http://code.google.com/p/mozc/wiki/LinuxBuildInstructions
Source0:	%{name}-%{version}-r%{svnrev}.tar.bz2

# Additional dictionaries by UTUMI Hirosi
Source1:        mozcdic-ut-%{utdic}.tar.bz2

# http://twitpic.com/1ouyrr by AWASHIRO Ikuya
Source3:	ibus-mozc.png
# http://twitpic.com/1t0zkb by AWASHIRO Ikuya
Source4:	ibus-mozc-unknown.png

# Vine Lunux
Source10:	README.vine

#Patch0:		ibus-mozc-fix-for-x86_64.diff
Patch1:		ibus-mozc-0.11.0-fix-compile-w-i386.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	python, ibus-devel, dbus-devel
BuildRequires:	openssl-devel, zlib-devel
BuildRequires:	curl-devel
BuildRequires:	protobuf-devel, gtest-devel
BuildRequires:	qt4-devel
BuildRequires:  gyp

Requires:	mozc-server = %{version}-%{release}
Requires:	mozc-utils-gui = %{version}-%{release}
Requires:	ibus-mozc = %{version}-%{release}

Packager:	kazutaka

%description
Mozc is a Japanese Input Method Editor (IME) designed for
multi-platform such as Chromium OS, Windows, Mac and Linux.
This open-source project originates from Google Japanese Input.

%description -l ja
Mozc は日本語入力用の IME (Imput Method Editor)です。
Chromium OS や Windows、Mac、Linux といったマルチプラット
フォームで利用できるようにデザインされており、「Google日本語
入力」のオープンソース版です。

%package server
Summary:	Server part of the Mozc input method
Summary(ja):	Mozc インプットメソッドのサーバ部分
Group: 		Applications/System

%description server
Server part of the Mozc input method, used by Mozc clients such as 
ibus-mozc.

%description server -l ja
Mozc インプットメソッドのサーバ部分。ibus-mozcなどのMozcクライアントから
使うことができます。

%package -n ibus-mozc
Summary:	iBus engine module for Mozc
Summary(ja):	Mozc 用 iBus エンジンモジュール
Group:		System Environment/Libraries 
Requires:	mozc-server = %{version}-%{release}

%description -n ibus-mozc
iBus engine module for Mozc.

%description -n ibus-mozc -l ja
Mozc 用 iBus エンジンモジュール。

%package utils-gui
Summary:	Mozc GUI utilities
Summary(ja):	Mozc GUI ユーティリティー
Group:		Applications/System
Requires:	qt4
Requires:	mozc-server = %{version}-%{release}

%description utils-gui
Mozc GUI uitilities, such as the configuration dialog, user dictionary 
tool and about dialog.

%description utils-gui -l ja
Mozc GUI ユーティリティー。設定ツールやユーザ辞書ツールなどが含まれます。

%prep
%setup -q -n %{name}-%{version}-r%{svnrev} -a 1
#%patch0 -p0 -b .fix-x86_64
%patch1 -p1 -b .fix-i386

# update execute files path
%{__sed} -i -e"s|/usr/lib/mozc|%{_libexecdir}|g" base/util.cc

# Add some dictionaries
pushd mozcdic-ut-%{utdic}
%{__cp} mozcdic-ut-jinmei-*.txt   ../data/dictionary/
%{__cp} mozcdic-ut-zipcode-*.txt  ../data/dictionary/
%{__cp} mozcdic-ut-meisi-*.txt    ../data/dictionary/
%{__cp} mozcdic-ut-jigyosyo-*.txt ../data/dictionary/
%{__cp} edict-katakanago/mozcdic-ut-edict-katakanago-*.txt ../data/dictionary/
popd

pushd data/dictionary/
%{__cp} dictionary1.txt dictionary1.txt.new
%if %{enable_utdic_jinmei}
%{__cat} mozcdic-ut-jinmei-*.txt >> dictionary1.txt.new
%endif
%if %{enable_utdic_zipcode}
%{__cat} mozcdic-ut-zipcode-*.txt >> dictionary1.txt.new
%endif
%if %{enable_utdic_meisi}
%{__cat} mozcdic-ut-meisi-*.txt >> dictionary1.txt.new
%endif
%if %{enable_utdic_jigyosyo}
%{__cat} mozcdic-ut-jigyosyo-*.txt >> dictionary1.txt.new
%endif
%if %{enable_edict_katakanago}
%{__cat} mozcdic-ut-edict-katakanago-*.txt >> dictionary1.txt.new
%endif
%{__mv} dictionary1.txt.new dictionary1.txt
popd

%build
%{__python} build_mozc.py gyp --gypdir=%{_bindir}
%{__python} build_mozc.py build_tools -c Release
%{__python} build_mozc.py build -c Release unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_libexecdir}

# ibus-mozc
%{__cp} -p out/Release/ibus_mozc %{buildroot}%{_libdir}/ibus-engine-mozc
%{__mkdir_p} %{buildroot}%{_datadir}/ibus/component/
%{__sed} 's|/usr/libexec|%{_libdir}|' < unix/ibus/mozc.xml > %{buildroot}%{_datadir}/ibus/component/mozc.xml

# mozc-server
%{__cp} -p out/Release/mozc_server %{buildroot}%{_libexecdir}

# mozc_tool
%{__cp} -p out/Release/mozc_tool %{buildroot}%{_libexecdir}

# install icon (temporary)
%{__mkdir_p} %{buildroot}%{_datadir}/ibus-mozc/setup
%{__cp} -p %{SOURCE3} %{buildroot}%{_datadir}/ibus-mozc/product_icon.png
%{__cp} -p %{SOURCE4} %{buildroot}%{_datadir}/ibus-mozc/unknown.ico

# install document
%{__chmod} 644 debian/*
%{__cp} debian/copyright COPYING
%{__cp} %{SOURCE10} .
%{__mkdir} utdic
%{__cp} mozcdic-ut-%{utdic}/{AUTHORS,COPYING,ChangeLog,README} utdic
%{__mkdir} edict
%{__cp} mozcdic-ut-%{utdic}/edict-katakanago/README.edict edict


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README.vine utdic edict

%files server
%defattr(-,root,root)
%doc COPYING README.vine utdic edict
%{_libexecdir}/mozc_server

%files utils-gui
%defattr(-,root,root)
%doc COPYING
%{_libexecdir}/mozc_tool

%files -n ibus-mozc
%defattr(-,root,root)
%doc COPYING
%{_libdir}/ibus-engine-mozc
%{_datadir}/ibus/component/mozc.xml
%dir %{_datadir}/ibus-mozc
%dir %{_datadir}/ibus-mozc/setup
%{_datadir}/ibus-mozc/product_icon.png
%{_datadir}/ibus-mozc/unknown.ico

%changelog
* Wed Jun  9 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-9.svn28
- update execute files path: <BTS:VineLinux:998>

* Fri Jun  4 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-8.svn28
- disable all mozcdic-ut dictionary (disable jinmei and zipcode)
- update README.vine
- add BuildRequires: gyp
- drop BuildRequires: subversion

* Wed Jun  2 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-7.svn28
- add mozc_tool's icon (Source4)
- rename Source0: fixed created directory name "src"

* Tue Jun  1 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-6.svn28
- update mozcdic-ut 20100601 (Source10)
- include documents for all dictionaries
- add BuildRequires: qt4-devel

* Tue Jun  1 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-5.svn28
- rename base name: mozc
- add new sub packages:
   - mozc-server
   - mozc-utils-gui
- update source to revision 28
- replace icon (Source3)
- drop mozc-config: upstream implement same tool

* Sun May 23 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-4
- update source to revision 23
- add BuildRequires protobuf-devel, gtest-devel
- drop Patch0 (ibus-mozc-fix-for-x86_64.diff)
- add mozc-config as Source10 and desktop entry as Source11

* Sat May 15 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-3
- rebuild with ibus-1.3.3

* Fri May 14 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-2
- add Patch1 to fix compile error on i386 (workaround patch)

* Thu May 13 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-1
- initial build for Vine Liux based on custom mandriva package made by UTUMI-san

* Thu May 13 2010 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.11.0-2.20110511.1mdv2010.1
- add some dictionaries

* Wed May 12 2010 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.11.0-1.20110511.1mdv2010.1
- first release

